## CamelStreamNull

CamelStreamNull

## Functions

CamelStream * | camel_stream_null_new ()
gsize | camel_stream_null_get_bytes_written ()
gboolean | camel_stream_null_get_ends_with_crlf ()

## Object Hierarchy

        GObject
        ╰── CamelStream
            ╰── CamelStreamNull

## Description

## Functions

### camel_stream_null_new ()

    CamelStream *
    camel_stream_null_new (void);

Returns a null stream. A null stream is always at eof, and always returns success for all reads and writes.

#### Returns

a new CamelStreamNull.

[transfer full]

### camel_stream_null_get_bytes_written ()

    gsize
    camel_stream_null_get_bytes_written (CamelStreamNull *stream_null);

#### Parameters

stream_null | a CamelStreamNull |

#### Returns

how many bytes had been written to the `stream_null` since it was created or rewind to the beginning.

Since: 3.24

### camel_stream_null_get_ends_with_crlf ()

    gboolean
    camel_stream_null_get_ends_with_crlf (CamelStreamNull *stream_null);

#### Parameters

stream_null | a CamelStreamNull |

#### Returns

Whether the data being written to `stream_null` ended with CRLF.

Since: 3.30